Bug 49664 - XFree86 ignores DPMS setting
XFree86 ignores DPMS setting
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-22 18:24 EDT by Stephen Rasku
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 01:38:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XFree86.0.log (23.20 KB, text/plain)
2001-07-25 20:20 EDT, Stephen Rasku
no flags Details
E95.inf (1.17 KB, text/plain)
2001-07-25 20:41 EDT, Stephen Rasku
no flags Details
XF86Config-4 after upgrade (7.10 KB, text/plain)
2002-01-30 01:34 EST, Stephen Rasku
no flags Details
XFree86.0.log after upgrade (25.40 KB, text/plain)
2002-01-30 01:38 EST, Stephen Rasku
no flags Details

  None (edit)
Description Stephen Rasku 2001-07-22 18:24:58 EDT
Description of Problem:

I am running XFree86-4.1.0-0.9.0.  My XF86Config-4 file can be found at
http://bugzilla.redhat.com/bugzilla/showattachment.cgi?attach_id=23787.  I
have the DPMS option set in the Monitor section and I have the BlankTime,
StandbyTime, SuspendTime, and OffTime set in the ServerFlags section. 
However, whenever I start X, DPMS is disabled.  

I am reporting this bug as an XFree86 bug but it's possible it has
something to do with KDE.  There has been other bugs reported regarding
DPMS and the recommended fix is to upgrade xscreensaver and
control-center.  I don't have those packages installed so that can't be the
problem.  I do see a screensaver, though.  I assume that this is some sort
of KDE screen saver.  I am running KDE 2.1.1.

How Reproducible:	100%

Steps to Reproduce:
1.  startx
2.  xset q

Actual Results:

DPMS (Energy Star):
  Standby: 120    Suspend: 300    Off: 600
  DPMS is Disabled

Expected Results:

DPMS (Energy Star):
  Standby: 120    Suspend: 300    Off: 600
  DPMS is Enabled
  Monitor is On
Comment 1 Mike A. Harris 2001-07-25 03:57:29 EDT
Please attach X server logs.
Also, BTW, your monitor is not listed in the Monitors.Db in Xconfigurator.
If you send me the Windows .INF file for your monitor (if you have it),
I can add the monitor to the database and EDID info for PnP autodetection.
Comment 2 Stephen Rasku 2001-07-25 20:20:16 EDT
Created attachment 25007 [details]
XFree86.0.log
Comment 3 Stephen Rasku 2001-07-25 20:41:04 EDT
Created attachment 25008 [details]
E95.inf
Comment 4 Stephen Rasku 2002-01-30 01:32:42 EST
This is still happening with XFree86-4.1.0-15.
Comment 5 Stephen Rasku 2002-01-30 01:34:03 EST
Created attachment 43976 [details]
XF86Config-4 after upgrade
Comment 6 Stephen Rasku 2002-01-30 01:38:10 EST
Created attachment 43977 [details]
XFree86.0.log after upgrade
Comment 7 Mike A. Harris 2002-07-29 21:54:29 EDT
Closing as working in current rawhide XFree86 4.2.0-57.2

Note You need to log in before you can comment on or make changes to this bug.